文档章节

eclipse修改Project Facets中的Dynamic Web Module版本

zqz0125
 zqz0125
发布于 2015/05/09 20:24
字数 118
阅读 5019
收藏 8

右击项目,点击Properties->Project Facets



 

如上图可以看到项目为web2.3 java1.5 当然我们也可以改成我们所需要的版本,打开xml文件my-app-web/.settings/org.eclipse.wst.common.project.facet.core.xml,进行修改即可:

Xml代码  收藏代码

  1. <?xml version="1.0" encoding="UTF-8"?>  

  2. <faceted-project>  

  3.   <fixed facet="wst.jsdt.web"/>  

  4.   <installed facet="java" version="1.8"/>  

  5.   <installed facet="jst.web" version="3.0"/>  

  6.   <installed facet="wst.jsdt.web" version="1.0"/>  

  7. </faceted-project>  

修改后保存,在eclipse中刷新项目,然后右击项目,点击Properties->Project Facets查看:


© 著作权归作者所有

zqz0125
粉丝 6
博文 51
码字总数 10762
作品 0
朝阳
程序员
私信 提问
dynamic web module消失不见

方法1:在project Facets选项中勾选Dynamic Web Module即可 方法2: 我用eclipse对项目进行修改名称,修改成功后。项目就没有Deployment Descriptor(如下图红色框中)而且最重要的一点是在p...

韩不会
2018/06/06
666
0
如何使用Eclipse,Maven,JDK1.7构建WEB项目

折腾半天了,使用maven 在 eclipse下创建web项目。(我的环境是ubuntu,tomcat7) 进行到:在已创建项目点击右键,选择properties,找到project facets选项,勾选Dynamic Web Module 2.5和Jav...

vvx1024
2014/05/06
1K
3
如何将java工程转变为web工程

如何将java工程转变为web工程 分类: JAVA2014-02-10 15:06 332人阅读 评论(0) 收藏 举报 有时候将web工程导入eclipse中,会变为一般的java工程,那样就无法部署至web服务器中。以下方法可以...

杨昊亚
2014/07/11
630
0
Failed while installingDynamic Web Module 3.0

eclipse 中,tomcat 6.0 不支持 web module 3.0 Tomcat version 6.0 only supports J2EE 1.2, 1.3, 1.4, and Java EE 5 Web modules 在 eclipse 中,使用 Tomcat 6.0 的时候,不支持 Dynami......

Java编程思想
2014/07/31
11.2K
2
maven工程导入Eclipse时提示Maven项目module无法转换为2.5

maven工程导入Eclipse时提示Maven项目module无法转换为2.5 方法/步骤 Maven项目在Project Facets里面修改Dynamic web module为2.5的时候就会出现Cannot change version of project facet Dy...

你假松假精
2016/03/24
39
0

没有更多内容

加载失败,请刷新页面

加载更多

Spring Boot + Mybatis-Plus 集成与使用(二)

前言: 本章节介绍MyBatis-Puls的CRUD使用。在开始之前,先简单讲解下上章节关于Spring Boot是如何自动配置MyBatis-Plus。 一、自动配置 当Spring Boot应用从主方法main()启动后,首先加载S...

伴学编程
昨天
7
0
用最通俗的方法讲spring [一] ──── AOP

@[TOC](用最通俗的方法讲spring [一] ──── AOP) 写这个系列的目的(可以跳过不看) 自己写这个系列的目的,是因为自己是个比较笨的人,我曾一度怀疑自己的智商不适合干编程这个行业.因为在我...

小贼贼子
昨天
7
0
Flutter系列之在 macOS 上安装和配置 Flutter 开发环境

本文为Flutter开发环境在macOS下安装全过程: 一、系统配置要求 想要安装并运行 Flutter,你的开发环境需要最低满足以下要求: 操作系统:macOS(64位) 磁盘空间:700 MB(不包含 IDE 或其余...

過愙
昨天
6
0
OSChina 周六乱弹 —— 早上儿子问我他是怎么来的

Osc乱弹歌单(2019)请戳(这里) 【今日歌曲】 @凉小生 :#今日歌曲推荐# 少点戾气,愿你和这个世界温柔以待。中岛美嘉的单曲《僕が死のうと思ったのは (曾经我也想过一了百了)》 《僕が死の...

小小编辑
昨天
2.7K
16
Excption与Error包结构,OOM 你遇到过哪些情况,SOF 你遇到过哪些情况

Throwable 是 Java 中所有错误与异常的超类,Throwable 包含两个子类,Error 与 Exception 。用于指示发生了异常情况。 Java 抛出的 Throwable 可以分成三种类型。 被检查异常(checked Exc...

Garphy
昨天
42
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部